[arch-commits] Commit in which/trunk (PKGBUILD which.install)

Sébastien Luttringer seblu at nymeria.archlinux.org
Tue Jul 1 20:43:39 UTC 2014


    Date: Tuesday, July 1, 2014 @ 22:43:38
  Author: seblu
Revision: 216175

upgpkg: which 2.20-7

- New upstream URL. Old one are dead.
- Bashify install file
- Syntax winter cleanup
- Change maintainership
- https://www.archlinux.org/todo/mtree-rebuilds/

Modified:
  which/trunk/PKGBUILD
  which/trunk/which.install

---------------+
 PKGBUILD      |   24 ++++++++++++++----------
 which.install |   14 +++++++-------
 2 files changed, 21 insertions(+), 17 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2014-07-01 19:15:44 UTC (rev 216174)
+++ PKGBUILD	2014-07-01 20:43:38 UTC (rev 216175)
@@ -1,27 +1,31 @@
 # $Id$
-# Maintainer: Allan McRae <allan at archlinux.org>
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
 # Contributor: Andreas Radke <andyrtr at archlinux.org>
 
 pkgname=which
 pkgver=2.20
-pkgrel=6
-pkgdesc="A utility to show the full path of commands"
+pkgrel=7
+pkgdesc='A utility to show the full path of commands'
 arch=('i686' 'x86_64')
-url="http://www.xs4all.nl/~carlo17/which"
+url='http://savannah.gnu.org/projects/which'
 license=('GPL3')
 groups=('base' 'base-devel')
-depends=('glibc' 'sh')
+depends=('glibc' 'bash')
 install=which.install
-source=(http://www.xs4all.nl/~carlo17/$pkgname/$pkgname-$pkgver.tar.gz)
-md5sums=('95be0501a466e515422cde4af46b2744')
+source=("http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"{,.sig})
+md5sums=('95be0501a466e515422cde4af46b2744'
+         'SKIP')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
+  cd $pkgname-$pkgver
   ./configure --prefix=/usr
   make
 }
 
 package() {
-  cd $srcdir/$pkgname-$pkgver
-  make DESTDIR=$pkgdir install
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
 }
+
+# vim:set ts=2 sw=2 et:

Modified: which.install
===================================================================
--- which.install	2014-07-01 19:15:44 UTC (rev 216174)
+++ which.install	2014-07-01 20:43:38 UTC (rev 216175)
@@ -2,19 +2,19 @@
 filelist=(which.info)
 
 post_install() {
-  [ -x usr/bin/install-info ] || return 0
-  for file in ${filelist[@]}; do
-    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info "$infodir/$file.gz" "$infodir/dir" 2>/dev/null
   done
 }
 
 post_upgrade() {
-  post_install $1
+  post_install "$1"
 }
 
 pre_remove() {
-  [ -x usr/bin/install-info ] || return 0
-  for file in ${filelist[@]}; do
-    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info --delete "$infodir/$file" "$infodir/dir" 2>/dev/null
   done
 }




More information about the arch-commits mailing list